1. gotdamsg's Avatar
    I just bought a storm 9530 but unfortunately my local carrier only supported 9500. But I was wondering why certain users with 9530 managed to get their device working flawlessly..

    Really need help and advise.
    05-29-09 04:58 AM
  2. moviemogul's Avatar
    Is your Storm unlocked?
    05-29-09 05:28 AM
  3. gotdamsg's Avatar
    yes its unlocked.. sms and call is fine but the problem is with bis.
    05-29-09 05:38 AM
  4. gotdamsg's Avatar
    i mean certain users their BIS working flawlessly.
    05-29-09 05:39 AM
  5. gotdamsg's Avatar
    anyone have solution for this..
    05-29-09 10:09 AM
  6. edward4u's Avatar
    To the best of my knowledge, it seems both the 9500 and 9530 have the same GSM specs. The only difference is the 9530 also supports CDMA. Therefore, you should be able to use the 9530 even if they say they only support the 9500.

    Why don't you try contacting tech support with your provider...over the phone...and instead of saying you have a 9530, say you've got a 9500.

    As moviemogul said, it does have to be unlocked. If you aren't sure whether your phone is unlocked, you can do a search in the forums, there are a number of posts that will guide you through the process to get everything working.

    I'm not too sure about BIS, but i'm under the assumption that if you carrier provides a blackberry data plan, and you have subscribed to it, you should be able to get BIS working.

    I know that wasn't too helpful...but maybe its a start in the right direction.
    05-29-09 10:28 AM
  7. gotdamsg's Avatar
    thanks edward..

    i already called them and they assist me over the phone but yet still failed.

    in the first place they think im using 9500 (their standard device) and instructed me to update my device to a 4.0.7.122 which i cant because im using 9530.

    my device is unlocked, sms and call works fine but the problem now is i already subscribed with their data plan but still cant get connected with their BIS.. the reason is im using 9530 which is not supported by the carrier.

    really need help on this..
    05-29-09 10:53 AM
  8. moviemogul's Avatar
    thanks edward..

    i already called them and they assist me over the phone but yet still failed.

    in the first place they think im using 9500 (their standard device) and instructed me to update my device to a 4.0.7.122 which i cant because im using 9530.

    my device is unlocked, sms and call works fine but the problem now is i already subscribed with their data plan but still cant get connected with their BIS.. the reason is im using 9530 which is not supported by the carrier.

    really need help on this..
    You most certainly can upgrade to the latest OS.

    There is a 9530 .122 OS if you need it. It's not official, but it is the exact same one they are telling you to upgrade to, just for the 9530

    Just so you know, the most recent leaked os (which is looking to be official for the 9530) is .148
    05-29-09 11:05 AM
  9. edward4u's Avatar
    moviemogul is right. you can upgrade your OS. Its a fairly simple process and there are quite a few posts that will quide you through the entire thing.

    Although, to be perfectly honest, I don't see how upgrading your OS should make a difference. Regardless of the OS, BIS should be working if you have a blackberry data plan. Remember, it can't be a regular data plan. It needs to be a blackberry data plan.

    The BlackBerry data plan gives you access to BlackBerry-branded software such as BlackBerry email, and BlackBerry browser, etc, as well as other enhancements appropriate to business. With just a generic data plan, you just can't use BlackBerry-RIM-branded applications, but almost everything else you download off the Net into your BlackBerry works. Everything else you would normally use, such as phone, voicemail, PIM, SMS, etc, work perfectly on a BlackBerry.

    Verify with your provider that you've got the correct data plan and then let them know that you've upgraded your OS (even if you haven't).
    05-29-09 11:23 AM
  10. gotdamsg's Avatar
    i will try to upgrade the os and currently subscribed with their blackberry data plan.
    05-29-09 11:45 AM
  11. edward4u's Avatar
    Let us know how it goes...
    05-29-09 11:56 AM
LINK TO POST COPIED TO CLIPBOARD